Share via


Web Apps - List Instance Process Threads Slot

Description for List the threads in a process by its ID for a specific scaled-out instance in a web site.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/slots/{slot}/instances/{instanceId}/processes/{processId}/threads?api-version=2025-05-01

URI Parameters

Name In Required Type Description
instanceId
path True

string

ID of a specific scaled-out instance. This is the value of the name property in the JSON response from "GET api/sites/{siteName}/instances".

name
path True

string

Site name.

processId
path True

string

PID.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

slot
path True

string

Name of the deployment slot. If a slot is not specified, the API returns deployments for the production slot.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ProcessThreadInfoCollection

Azure operation completed successfully.

404 Not Found

The server cannot find the requested resource.

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Definitions

Name Description
DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

ProcessThreadInfo

Process Thread Information.

ProcessThreadInfoCollection

Collection of Kudu thread information elements.

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

ProcessThreadInfo

Process Thread Information.

Name Type Description
id

string

Resource Id.

kind

string

Kind of resource.

name

string

Resource Name.

properties.base_priority

integer (int32)

Base priority.

properties.current_priority

integer (int32)

Current thread priority.

properties.href

string

HRef URI.

properties.identifier

integer (int32)

Site extension ID.

properties.priority_level

string

Thread priority level.

properties.process

string

Process URI.

properties.start_address

string

Start address.

properties.start_time

string (date-time)

Start time.

properties.state

string

Thread state.

properties.total_processor_time

string

Total processor time.

properties.user_processor_time

string

User processor time.

properties.wait_reason

string

Wait reason.

type

string

Resource type.

ProcessThreadInfoCollection

Collection of Kudu thread information elements.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

ProcessThreadInfo[]

The ProcessThreadInfo items on this page